public class CreateUploadAttachedMediaRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
appId
The ID of the application.
|
String |
businessType
The type of the media asset.
|
String |
cateIds
The one or more category IDs of the auxiliary media asset.
|
String |
description
The description of the auxiliary media asset.
|
String |
fileName
The name of the source file.
|
String |
fileSize
The size of the auxiliary media asset.
|
String |
mediaExt
The file name extension.
|
String |
storageLocation
The storage location.
|
String |
tags
The one or more tags of the auxiliary media asset.
|
String |
title
The title of the media asset.
|
String |
userData
The custom configurations, including callback configurations and upload acceleration configurations.
|
| 构造器和说明 |
|---|
CreateUploadAttachedMediaRequest() |
@NameInMap(value="AppId") public String appId
The ID of the application. Default value: **app-1000000**. For more information, see [Overview](~~113600~~).
@NameInMap(value="BusinessType") public String businessType
The type of the media asset. Valid values:
* **watermark**
* **subtitle**
* **material**
@NameInMap(value="CateIds") public String cateIds
The one or more category IDs of the auxiliary media asset. Separate multiple category IDs with commas (,). A maximum of five category IDs can be specified. You can use one of the following methods to obtain the category ID:
* Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Categories**. On the Categories page, you can view the category ID.
* View the value of the CateId parameter returned by the [AddCategory](~~56401~~) operation that you called to create a category.
* View the value of the CateId parameter returned by the [GetCategories](~~56406~~) operation that you called to query a category.
@NameInMap(value="Description") public String description
The description of the auxiliary media asset. Take note of the following items:
* The description can be up to 1,024 bytes in length.
* The value must be encoded in UTF-8.
@NameInMap(value="FileName") public String fileName
The name of the source file.
@NameInMap(value="FileSize") public String fileSize
The size of the auxiliary media asset. Unit: byte.
@NameInMap(value="MediaExt") public String mediaExt
The file name extension. Valid values:
* Valid values for watermarks: **png, gif, apng, and mov**
* Valid values for subtitles: **srt, ass, stl, ttml, and vtt**
* Valid values for materials: **jpg, gif, png, mp4, mat, zip, and apk**
@NameInMap(value="StorageLocation") public String storageLocation
The storage location. You can use one of the following methods to obtain the storage location:
Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Storage**. On the Storage page, you can view the storage location.
> If this parameter is set to a specific value, the auxiliary media asset is uploaded to the specified storage location.
@NameInMap(value="Tags") public String tags
The one or more tags of the auxiliary media asset. Take note of the following items:
* You can specify a maximum of 16 tags.
* If you need to specify multiple tags, separate the tags with commas (,).
* Each tag can be up to 32 characters in length.
* The value must be encoded in UTF-8.
@NameInMap(value="Title") public String title
The title of the media asset. Take note of the following items:
* The title can be up to 128 bytes in length.
* The value must be encoded in UTF-8.
@NameInMap(value="UserData") public String userData
The custom configurations, including callback configurations and upload acceleration configurations. The value is a JSON string. For more information, see the "UserData: specifies the custom configurations for media upload" section of the [Request parameters](~~86952~~) topic.
> * The callback configurations take effect only after you specify the HTTP callback URL and select the specific callback events in the ApsaraVideo VOD console. For more information about how to configure an HTTP callback in the ApsaraVideo VOD console, see [Configure callback settings](~~86071~~).
>* To use the upload acceleration feature, submit a [ticket](https://ticket-intl.console.aliyun.com/#/ticket/createIndex) to enable this feature. For more information, see [Overview](~~55396~~).
public static CreateUploadAttachedMediaRequest build(Map<String,?> map) throws Exception
Exceptionpublic CreateUploadAttachedMediaRequest setAppId(String appId)
public String getAppId()
public CreateUploadAttachedMediaRequest setBusinessType(String businessType)
public String getBusinessType()
public CreateUploadAttachedMediaRequest setCateIds(String cateIds)
public String getCateIds()
public CreateUploadAttachedMediaRequest setDescription(String description)
public String getDescription()
public CreateUploadAttachedMediaRequest setFileName(String fileName)
public String getFileName()
public CreateUploadAttachedMediaRequest setFileSize(String fileSize)
public String getFileSize()
public CreateUploadAttachedMediaRequest setMediaExt(String mediaExt)
public String getMediaExt()
public CreateUploadAttachedMediaRequest setStorageLocation(String storageLocation)
public String getStorageLocation()
public CreateUploadAttachedMediaRequest setTags(String tags)
public String getTags()
public CreateUploadAttachedMediaRequest setTitle(String title)
public String getTitle()
public CreateUploadAttachedMediaRequest setUserData(String userData)
public String getUserData()
Copyright © 2024. All rights reserved.